{% extends '@PiCRUD/add.html.twig' %}

{% block title %}Inscription à {{ entity.event }}{% endblock %}

{% block extra_meta_balise %}
    {{ parent() }}
    <meta name="robots" content="noindex">
{% endblock %}

{% block content_breadcrumb %}
    <div class="row">
        <div class="col-12 col-lg-10 offset-lg-1">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                    <li class="breadcrumb-item"><a href="{{ path('pi_crud_list', {'type': 'event'}) }}">{{ 'pi_crud.list.title'|trans({'entity_label': 'event'}) }}</a></li>
                    <li class="breadcrumb-item"><a href="{{ path('pi_crud_show', {'type': 'event', 'id': entity.event.id, 'slug': entity.event.slug}) }}">{{ entity.event }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Inscription d'une équipe</li>
                </ol>
            </nav>
        </div>
    </div>
{% endblock %}

{% block form_title %}{% endblock %}

{% block form_content %}
    <div class="row">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h1>Inscription d'une équipe à <span class="text-primary">{{ entity.event.title }}</span></h1>
            <div class="text-muted h3 pb-4">Pour valider votre inscription, veuillez compléter le formulaire ci-dessous</div>

            <h3 class="text-balise">Événement</h3>
            <div class="mb-4">
                <table class="mb-1">
                    <tr><td class="font-weight-bold pr-4">Date</td><td>{{ entity.event.dateBegin|format_datetime('full', 'medium', locale='fr')|capitalize }}</td></tr>
                    {% if entity.event.dateEntries is not empty %}<tr><td class="font-weight-bold pr-4">Date limite d'inscription</td><td>{{ entity.event.dateEntries|format_datetime('full', 'medium', locale='fr')|capitalize }}</td></tr>{% endif %}
                    {% if entity.event.format is not empty %}<tr><td class="font-weight-bold pr-4">Type</td><td>{{ entity.event.format.label|capitalize }}</td></tr>{% endif %}
                    {% if entity.event.organizer %}<tr><td class="font-weight-bold pr-4">Organisateur</td><td>{{ entity.event.organizer|capitalize }}</td></tr>{% endif %}
                    {% if entity.event.website %}<tr><td class="font-weight-bold pr-4">Site Web</td><td><a target="_BLANK" href="{{ entity.event.website }}">{{ entity.event.website }}</a></td></tr>{% endif %}
                </table>
                <a class="text-secondary mt-2" href="{{ path('pi_crud_show', {'type': 'event', 'id': entity.event.id, 'slug': entity.event.slug} )}}">Retourner à l'événement</a>
            </div>

            {% if entity.event.entryInformations is defined and entity.event.entryInformations is not empty %}
                <h3 class="text-balise">Informations sur l'inscription</h3>
                <div class="mb-4">
                    {{ entity.event.entryInformations }}
                </div>
            {% endif %}

            <h3 class="text-balise">Informations sur l'équipe</h3>
        </div>
    </div>
    {{ parent() }}
{% endblock %}

{% block form_action %}
    Valider l'inscription
{% endblock %}
